"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAutomationRevision = exports.getActionsQuotaInfo = exports.getAutomationActionSchema = exports.validateAutomationById = exports.validateAutomation = exports.publishDraftAutomation = exports.deleteDraftAutomation = exports.queryAutomationsWithDrafts = exports.updateDraftAutomation = exports.getOrCreateDraftAutomation = exports.createDraftAutomation = exports.copyAutomation = exports.queryAutomations = exports.queryPreinstalledAutomationsForApp = exports.deletePreinstalledAutomation = exports.updatePreinstalledAutomation = exports.createPreinstalledAutomation = exports.bulkDeleteAutomations = exports.deleteAutomation = exports.updateAutomation = exports.getAutomation = exports.createAutomation = void 0;
const ambassadorWixAutomationsV2Automation = __importStar(require("./automations-v2-automation-automations-service-v-2.http.js"));
function createAutomation() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsV2Automation.createAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/automations',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createAutomation = createAutomation;
function getAutomation() {
    const payload = { automationId: ':automationId' };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.getAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/automations/{automationId}',
        pathParams: { automationId: 'automationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getAutomation = getAutomation;
function updateAutomation() {
    const payload = { automation: { id: ':automationId' } };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.updateAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v2/automations/{automation.id}',
        pathParams: { automationId: 'automationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateAutomation = updateAutomation;
function deleteAutomation() {
    const payload = { automationId: ':automationId' };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.deleteAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v2/automations/{automationId}',
        pathParams: { automationId: 'automationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteAutomation = deleteAutomation;
function bulkDeleteAutomations() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsV2Automation.bulkDeleteAutomations(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/bulk/automations/delete',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.bulkDeleteAutomations = bulkDeleteAutomations;
function createPreinstalledAutomation() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsV2Automation.createPreinstalledAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/preinstalled-automation',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createPreinstalledAutomation = createPreinstalledAutomation;
function updatePreinstalledAutomation() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsV2Automation.updatePreinstalledAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v2/preinstalled-automation',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updatePreinstalledAutomation = updatePreinstalledAutomation;
function deletePreinstalledAutomation() {
    const payload = { componentId: ':componentId' };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.deletePreinstalledAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v2/preinstalled-automation/{componentId}',
        pathParams: { componentId: 'componentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deletePreinstalledAutomation = deletePreinstalledAutomation;
function queryPreinstalledAutomationsForApp() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsV2Automation.queryPreinstalledAutomationsForApp(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/preinstalled-automations/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryPreinstalledAutomationsForApp = queryPreinstalledAutomationsForApp;
function queryAutomations() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsV2Automation.queryAutomations(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/automations/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryAutomations = queryAutomations;
function copyAutomation() {
    const payload = { automationId: ':automationId' };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.copyAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/automations/{automationId}/copy',
        pathParams: { automationId: 'automationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.copyAutomation = copyAutomation;
function createDraftAutomation() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsV2Automation.createDraftAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/automations/drafts',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createDraftAutomation = createDraftAutomation;
function getOrCreateDraftAutomation() {
    const payload = { originalAutomationId: ':originalAutomationId' };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.getOrCreateDraftAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/automations/drafts/get-or-create/original-automation-id/{originalAutomationId}',
        pathParams: { originalAutomationId: 'originalAutomationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getOrCreateDraftAutomation = getOrCreateDraftAutomation;
function updateDraftAutomation() {
    const payload = { automation: { id: ':automationId' } };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.updateDraftAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v2/automations/drafts/{automation.id}',
        pathParams: { automationId: 'automationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateDraftAutomation = updateDraftAutomation;
function queryAutomationsWithDrafts() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsV2Automation.queryAutomationsWithDrafts(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/automations/query-with-drafts',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryAutomationsWithDrafts = queryAutomationsWithDrafts;
function deleteDraftAutomation() {
    const payload = { automationId: ':automationId' };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.deleteDraftAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v2/automations/drafts/{automationId}',
        pathParams: { automationId: 'automationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteDraftAutomation = deleteDraftAutomation;
function publishDraftAutomation() {
    const payload = { automationId: ':automationId' };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.publishDraftAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/automations/drafts/{automationId}/publish',
        pathParams: { automationId: 'automationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.publishDraftAutomation = publishDraftAutomation;
function validateAutomation() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsV2Automation.validateAutomation(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/automations/validate',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.validateAutomation = validateAutomation;
function validateAutomationById() {
    const payload = { automationId: ':automationId' };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.validateAutomationById(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/automations/{automationId}/validate',
        pathParams: { automationId: 'automationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.validateAutomationById = validateAutomationById;
function getAutomationActionSchema() {
    const payload = {
        automationId: ':automationId',
        actionId: ':actionId',
    };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.getAutomationActionSchema(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/automations/schema/{automationId}/{actionId}',
        pathParams: { automationId: 'automationId', actionId: 'actionId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getAutomationActionSchema = getAutomationActionSchema;
function getActionsQuotaInfo() {
    const payload = {};
    const getRequestOptions = ambassadorWixAutomationsV2Automation.getActionsQuotaInfo(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/automations/actions/quota',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getActionsQuotaInfo = getActionsQuotaInfo;
function getAutomationRevision() {
    const payload = { automationId: ':automationId' };
    const getRequestOptions = ambassadorWixAutomationsV2Automation.getAutomationRevision(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/automation-revisions/{automationId}',
        pathParams: { automationId: 'automationId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getAutomationRevision = getAutomationRevision;
//# sourceMappingURL=automations-v2-automation-automations-service-v-2.meta.js.map