"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutomationErrorType = exports.AutomationValidationErrorValidationErrorType = exports.ActionErrorType = exports.ValidationErrorType = exports.ValidationErrorSeverity = exports.TriggerErrorType = exports.TriggerValidationErrorValidationErrorType = exports.DeleteStatus = exports.Namespace = exports.SiteCreatedContext = exports.State = exports.SortOrder = exports.RequestedFields = exports.WebhookIdentityType = exports.Origin = exports.Status = exports.Type = exports.Operator = exports.TimeUnit = exports.Domain = exports.onAutomationUpdatedWithPreviousEntity = exports.onAutomationUpdated = exports.onAutomationDeletedWithEntity = exports.onAutomationDeleted = exports.onAutomationCreated = exports.getAutomationRevision = exports.getActionsQuotaInfo = exports.getAutomationActionSchema = exports.validateAutomationById = exports.validateAutomation = exports.publishDraftAutomation = exports.deleteDraftAutomation = exports.queryAutomationsWithDrafts = exports.updateDraftAutomation = exports.getOrCreateDraftAutomation = exports.createDraftAutomation = exports.copyAutomation = exports.queryAutomations = exports.queryPreinstalledAutomationsForApp = exports.deletePreinstalledAutomation = exports.updatePreinstalledAutomation = exports.createPreinstalledAutomation = exports.bulkDeleteAutomations = exports.deleteAutomation = exports.updateAutomation = exports.getAutomation = exports.createAutomation = void 0;
const automations_v2_automation_automations_service_v_2_public_js_1 = require("./automations-v2-automation-automations-service-v-2.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const automations_v2_automation_automations_service_v_2_public_js_2 = require("./automations-v2-automation-automations-service-v-2.public.js");
const automations_v2_automation_automations_service_v_2_public_js_3 = require("./automations-v2-automation-automations-service-v-2.public.js");
const automations_v2_automation_automations_service_v_2_public_js_4 = require("./automations-v2-automation-automations-service-v-2.public.js");
const automations_v2_automation_automations_service_v_2_public_js_5 = require("./automations-v2-automation-automations-service-v-2.public.js");
const automations_v2_automation_automations_service_v_2_public_js_6 = require("./automations-v2-automation-automations-service-v-2.public.js");
exports.createAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.createAutomation);
exports.getAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.getAutomation);
exports.updateAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.updateAutomation);
exports.deleteAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.deleteAutomation);
exports.bulkDeleteAutomations = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.bulkDeleteAutomations);
exports.createPreinstalledAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.createPreinstalledAutomation);
exports.updatePreinstalledAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.updatePreinstalledAutomation);
exports.deletePreinstalledAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.deletePreinstalledAutomation);
exports.queryPreinstalledAutomationsForApp = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.queryPreinstalledAutomationsForApp);
exports.queryAutomations = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.queryAutomations);
exports.copyAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.copyAutomation);
exports.createDraftAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.createDraftAutomation);
exports.getOrCreateDraftAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.getOrCreateDraftAutomation);
exports.updateDraftAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.updateDraftAutomation);
exports.queryAutomationsWithDrafts = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.queryAutomationsWithDrafts);
exports.deleteDraftAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.deleteDraftAutomation);
exports.publishDraftAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.publishDraftAutomation);
exports.validateAutomation = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.validateAutomation);
exports.validateAutomationById = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.validateAutomationById);
exports.getAutomationActionSchema = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.getAutomationActionSchema);
exports.getActionsQuotaInfo = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.getActionsQuotaInfo);
/** @internal */
exports.getAutomationRevision = (0, rest_modules_1.createRESTModule)(automations_v2_automation_automations_service_v_2_public_js_1.getAutomationRevision);
/** */
exports.onAutomationCreated = (0, event_definition_modules_1.createEventModule)(automations_v2_automation_automations_service_v_2_public_js_2.onAutomationCreated);
/** */
exports.onAutomationDeleted = (0, event_definition_modules_1.createEventModule)(automations_v2_automation_automations_service_v_2_public_js_3.onAutomationDeleted);
/** */
exports.onAutomationDeletedWithEntity = (0, event_definition_modules_1.createEventModule)(automations_v2_automation_automations_service_v_2_public_js_4.onAutomationDeletedWithEntity);
/** */
exports.onAutomationUpdated = (0, event_definition_modules_1.createEventModule)(automations_v2_automation_automations_service_v_2_public_js_5.onAutomationUpdated);
/** */
exports.onAutomationUpdatedWithPreviousEntity = (0, event_definition_modules_1.createEventModule)(automations_v2_automation_automations_service_v_2_public_js_6.onAutomationUpdatedWithPreviousEntity);
var automations_v2_automation_automations_service_v_2_universal_js_1 = require("./automations-v2-automation-automations-service-v-2.universal.js");
Object.defineProperty(exports, "Domain", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.Domain; } });
Object.defineProperty(exports, "TimeUnit", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.TimeUnit; } });
Object.defineProperty(exports, "Operator", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.Operator; } });
Object.defineProperty(exports, "Type", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.Type; } });
Object.defineProperty(exports, "Status", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.Status; } });
Object.defineProperty(exports, "Origin", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.Origin; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.WebhookIdentityType; } });
Object.defineProperty(exports, "RequestedFields", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.RequestedFields; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.SortOrder; } });
Object.defineProperty(exports, "State", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.State; } });
Object.defineProperty(exports, "SiteCreatedContext", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.SiteCreatedContext; } });
Object.defineProperty(exports, "Namespace", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.Namespace; } });
Object.defineProperty(exports, "DeleteStatus", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.DeleteStatus; } });
Object.defineProperty(exports, "TriggerValidationErrorValidationErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.TriggerValidationErrorValidationErrorType; } });
Object.defineProperty(exports, "TriggerErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.TriggerErrorType; } });
Object.defineProperty(exports, "ValidationErrorSeverity", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.ValidationErrorSeverity; } });
Object.defineProperty(exports, "ValidationErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.ValidationErrorType; } });
Object.defineProperty(exports, "ActionErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.ActionErrorType; } });
Object.defineProperty(exports, "AutomationValidationErrorValidationErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.AutomationValidationErrorValidationErrorType; } });
Object.defineProperty(exports, "AutomationErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_1.AutomationErrorType; } });
//# sourceMappingURL=automations-v2-automation-automations-service-v-2.context.js.map