import * as ambassadorWixAutomationsV2AutomationTypes from './automations-v2-automation-automations-service-v-2.types.js';
import * as ambassadorWixAutomationsV2AutomationUniversalTypes from './automations-v2-automation-automations-service-v-2.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createAutomation(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAutomationsV2AutomationUniversalTypes.CreateAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.CreateAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.CreateAutomationResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.CreateAutomationResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.CreateAutomationResponse & ambassadorWixAutomationsV2AutomationTypes.CreateAutomationResponseNonNullableFields>;
export declare function getAutomation(): __PublicMethodMetaInfo<'GET', {
    automationId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.GetAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.GetAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.GetAutomationResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.GetAutomationResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.GetAutomationResponse & ambassadorWixAutomationsV2AutomationTypes.GetAutomationResponseNonNullableFields>;
export declare function updateAutomation(): __PublicMethodMetaInfo<'PATCH', {
    automationId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.UpdateAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.UpdateAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.UpdateAutomationResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.UpdateAutomationResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.UpdateAutomationResponse & ambassadorWixAutomationsV2AutomationTypes.UpdateAutomationResponseNonNullableFields>;
export declare function deleteAutomation(): __PublicMethodMetaInfo<'DELETE', {
    automationId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.DeleteAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.DeleteAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.DeleteAutomationResponse, ambassadorWixAutomationsV2AutomationTypes.DeleteAutomationResponse>;
export declare function bulkDeleteAutomations(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAutomationsV2AutomationUniversalTypes.BulkDeleteAutomationsRequest, ambassadorWixAutomationsV2AutomationTypes.BulkDeleteAutomationsRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.BulkDeleteAutomationsResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.BulkDeleteAutomationsResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.BulkDeleteAutomationsResponse & ambassadorWixAutomationsV2AutomationTypes.BulkDeleteAutomationsResponseNonNullableFields>;
export declare function createPreinstalledAutomation(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAutomationsV2AutomationUniversalTypes.CreatePreinstalledAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.CreatePreinstalledAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.CreatePreinstalledAutomationResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.CreatePreinstalledAutomationResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.CreatePreinstalledAutomationResponse & ambassadorWixAutomationsV2AutomationTypes.CreatePreinstalledAutomationResponseNonNullableFields>;
export declare function updatePreinstalledAutomation(): __PublicMethodMetaInfo<'PATCH', {}, ambassadorWixAutomationsV2AutomationUniversalTypes.UpdatePreinstalledAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.UpdatePreinstalledAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.UpdatePreinstalledAutomationResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.UpdatePreinstalledAutomationResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.UpdatePreinstalledAutomationResponse & ambassadorWixAutomationsV2AutomationTypes.UpdatePreinstalledAutomationResponseNonNullableFields>;
export declare function deletePreinstalledAutomation(): __PublicMethodMetaInfo<'DELETE', {
    componentId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.DeletePreinstalledAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.DeletePreinstalledAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.DeletePreinstalledAutomationResponse, ambassadorWixAutomationsV2AutomationTypes.DeletePreinstalledAutomationResponse>;
export declare function queryPreinstalledAutomationsForApp(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAutomationsV2AutomationUniversalTypes.QueryPreinstalledAutomationsForAppRequest, ambassadorWixAutomationsV2AutomationTypes.QueryPreinstalledAutomationsForAppRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.QueryPreinstalledAutomationsForAppResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.QueryPreinstalledAutomationsForAppResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.QueryPreinstalledAutomationsForAppResponse & ambassadorWixAutomationsV2AutomationTypes.QueryPreinstalledAutomationsForAppResponseNonNullableFields>;
export declare function queryAutomations(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAutomationsV2AutomationUniversalTypes.QueryAutomationsRequest, ambassadorWixAutomationsV2AutomationTypes.QueryAutomationsRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.QueryAutomationsResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.QueryAutomationsResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.QueryAutomationsResponse & ambassadorWixAutomationsV2AutomationTypes.QueryAutomationsResponseNonNullableFields>;
export declare function copyAutomation(): __PublicMethodMetaInfo<'POST', {
    automationId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.CopyAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.CopyAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.CopyAutomationResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.CopyAutomationResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.CopyAutomationResponse & ambassadorWixAutomationsV2AutomationTypes.CopyAutomationResponseNonNullableFields>;
export declare function createDraftAutomation(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAutomationsV2AutomationUniversalTypes.CreateDraftAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.CreateDraftAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.CreateDraftAutomationResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.CreateDraftAutomationResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.CreateDraftAutomationResponse & ambassadorWixAutomationsV2AutomationTypes.CreateDraftAutomationResponseNonNullableFields>;
export declare function getOrCreateDraftAutomation(): __PublicMethodMetaInfo<'POST', {
    originalAutomationId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.GetOrCreateDraftAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.GetOrCreateDraftAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.GetOrCreateDraftAutomationResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.GetOrCreateDraftAutomationResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.GetOrCreateDraftAutomationResponse & ambassadorWixAutomationsV2AutomationTypes.GetOrCreateDraftAutomationResponseNonNullableFields>;
export declare function updateDraftAutomation(): __PublicMethodMetaInfo<'PATCH', {
    automationId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.UpdateDraftAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.UpdateDraftAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.UpdateDraftAutomationResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.UpdateDraftAutomationResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.UpdateDraftAutomationResponse & ambassadorWixAutomationsV2AutomationTypes.UpdateDraftAutomationResponseNonNullableFields>;
export declare function queryAutomationsWithDrafts(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAutomationsV2AutomationUniversalTypes.QueryAutomationsWithDraftsRequest, ambassadorWixAutomationsV2AutomationTypes.QueryAutomationsWithDraftsRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.QueryAutomationsWithDraftsResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.QueryAutomationsWithDraftsResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.QueryAutomationsWithDraftsResponse & ambassadorWixAutomationsV2AutomationTypes.QueryAutomationsWithDraftsResponseNonNullableFields>;
export declare function deleteDraftAutomation(): __PublicMethodMetaInfo<'DELETE', {
    automationId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.DeleteDraftAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.DeleteDraftAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.DeleteDraftAutomationResponse, ambassadorWixAutomationsV2AutomationTypes.DeleteDraftAutomationResponse>;
export declare function publishDraftAutomation(): __PublicMethodMetaInfo<'POST', {
    automationId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.PublishDraftAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.PublishDraftAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.PublishDraftAutomationResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.PublishDraftAutomationResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.PublishDraftAutomationResponse & ambassadorWixAutomationsV2AutomationTypes.PublishDraftAutomationResponseNonNullableFields>;
export declare function validateAutomation(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAutomationsV2AutomationUniversalTypes.ValidateAutomationRequest, ambassadorWixAutomationsV2AutomationTypes.ValidateAutomationRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.ValidateAutomationResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.ValidateAutomationResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.ValidateAutomationResponse & ambassadorWixAutomationsV2AutomationTypes.ValidateAutomationResponseNonNullableFields>;
export declare function validateAutomationById(): __PublicMethodMetaInfo<'POST', {
    automationId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.ValidateAutomationByIdRequest, ambassadorWixAutomationsV2AutomationTypes.ValidateAutomationByIdRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.ValidateAutomationByIdResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.ValidateAutomationByIdResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.ValidateAutomationByIdResponse & ambassadorWixAutomationsV2AutomationTypes.ValidateAutomationByIdResponseNonNullableFields>;
export declare function getAutomationActionSchema(): __PublicMethodMetaInfo<'GET', {
    automationId: string;
    actionId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.GetAutomationActionSchemaRequest, ambassadorWixAutomationsV2AutomationTypes.GetAutomationActionSchemaRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.GetAutomationActionSchemaResponse, ambassadorWixAutomationsV2AutomationTypes.GetAutomationActionSchemaResponse>;
export declare function getActionsQuotaInfo(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixAutomationsV2AutomationUniversalTypes.GetActionsQuotaInfoRequest, ambassadorWixAutomationsV2AutomationTypes.GetActionsQuotaInfoRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.GetActionsQuotaInfoResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.GetActionsQuotaInfoResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.GetActionsQuotaInfoResponse & ambassadorWixAutomationsV2AutomationTypes.GetActionsQuotaInfoResponseNonNullableFields>;
export declare function getAutomationRevision(): __PublicMethodMetaInfo<'GET', {
    automationId: string;
}, ambassadorWixAutomationsV2AutomationUniversalTypes.GetAutomationRevisionRequest, ambassadorWixAutomationsV2AutomationTypes.GetAutomationRevisionRequest, ambassadorWixAutomationsV2AutomationUniversalTypes.GetAutomationRevisionResponse & ambassadorWixAutomationsV2AutomationUniversalTypes.GetAutomationRevisionResponseNonNullableFields, ambassadorWixAutomationsV2AutomationTypes.GetAutomationRevisionResponse & ambassadorWixAutomationsV2AutomationTypes.GetAutomationRevisionResponseNonNullableFields>;
