import { createAutomation as publicCreateAutomation, getAutomation as publicGetAutomation, updateAutomation as publicUpdateAutomation, deleteAutomation as publicDeleteAutomation, bulkDeleteAutomations as publicBulkDeleteAutomations, createPreinstalledAutomation as publicCreatePreinstalledAutomation, updatePreinstalledAutomation as publicUpdatePreinstalledAutomation, deletePreinstalledAutomation as publicDeletePreinstalledAutomation, queryPreinstalledAutomationsForApp as publicQueryPreinstalledAutomationsForApp, queryAutomations as publicQueryAutomations, copyAutomation as publicCopyAutomation, createDraftAutomation as publicCreateDraftAutomation, getOrCreateDraftAutomation as publicGetOrCreateDraftAutomation, updateDraftAutomation as publicUpdateDraftAutomation, queryAutomationsWithDrafts as publicQueryAutomationsWithDrafts, deleteDraftAutomation as publicDeleteDraftAutomation, publishDraftAutomation as publicPublishDraftAutomation, validateAutomation as publicValidateAutomation, validateAutomationById as publicValidateAutomationById, getAutomationActionSchema as publicGetAutomationActionSchema, getActionsQuotaInfo as publicGetActionsQuotaInfo, getAutomationRevision as publicGetAutomationRevision, } from './automations-v2-automation-automations-service-v-2.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onAutomationCreated as publicOnAutomationCreated } from './automations-v2-automation-automations-service-v-2.public.js';
import { onAutomationDeleted as publicOnAutomationDeleted } from './automations-v2-automation-automations-service-v-2.public.js';
import { onAutomationDeletedWithEntity as publicOnAutomationDeletedWithEntity } from './automations-v2-automation-automations-service-v-2.public.js';
import { onAutomationUpdated as publicOnAutomationUpdated } from './automations-v2-automation-automations-service-v-2.public.js';
import { onAutomationUpdatedWithPreviousEntity as publicOnAutomationUpdatedWithPreviousEntity } from './automations-v2-automation-automations-service-v-2.public.js';
export const createAutomation = /*#__PURE__*/ createRESTModule(publicCreateAutomation);
export const getAutomation = /*#__PURE__*/ createRESTModule(publicGetAutomation);
export const updateAutomation = /*#__PURE__*/ createRESTModule(publicUpdateAutomation);
export const deleteAutomation = /*#__PURE__*/ createRESTModule(publicDeleteAutomation);
export const bulkDeleteAutomations = /*#__PURE__*/ createRESTModule(publicBulkDeleteAutomations);
export const createPreinstalledAutomation = /*#__PURE__*/ createRESTModule(publicCreatePreinstalledAutomation);
export const updatePreinstalledAutomation = /*#__PURE__*/ createRESTModule(publicUpdatePreinstalledAutomation);
export const deletePreinstalledAutomation = /*#__PURE__*/ createRESTModule(publicDeletePreinstalledAutomation);
export const queryPreinstalledAutomationsForApp = /*#__PURE__*/ createRESTModule(publicQueryPreinstalledAutomationsForApp);
export const queryAutomations = /*#__PURE__*/ createRESTModule(publicQueryAutomations);
export const copyAutomation = /*#__PURE__*/ createRESTModule(publicCopyAutomation);
export const createDraftAutomation = /*#__PURE__*/ createRESTModule(publicCreateDraftAutomation);
export const getOrCreateDraftAutomation = /*#__PURE__*/ createRESTModule(publicGetOrCreateDraftAutomation);
export const updateDraftAutomation = /*#__PURE__*/ createRESTModule(publicUpdateDraftAutomation);
export const queryAutomationsWithDrafts = /*#__PURE__*/ createRESTModule(publicQueryAutomationsWithDrafts);
export const deleteDraftAutomation = /*#__PURE__*/ createRESTModule(publicDeleteDraftAutomation);
export const publishDraftAutomation = /*#__PURE__*/ createRESTModule(publicPublishDraftAutomation);
export const validateAutomation = /*#__PURE__*/ createRESTModule(publicValidateAutomation);
export const validateAutomationById = /*#__PURE__*/ createRESTModule(publicValidateAutomationById);
export const getAutomationActionSchema = /*#__PURE__*/ createRESTModule(publicGetAutomationActionSchema);
export const getActionsQuotaInfo = /*#__PURE__*/ createRESTModule(publicGetActionsQuotaInfo);
/** @internal */
export const getAutomationRevision = /*#__PURE__*/ createRESTModule(publicGetAutomationRevision);
/** */
export const onAutomationCreated = createEventModule(publicOnAutomationCreated);
/** */
export const onAutomationDeleted = createEventModule(publicOnAutomationDeleted);
/** */
export const onAutomationDeletedWithEntity = createEventModule(publicOnAutomationDeletedWithEntity);
/** */
export const onAutomationUpdated = createEventModule(publicOnAutomationUpdated);
/** */
export const onAutomationUpdatedWithPreviousEntity = createEventModule(publicOnAutomationUpdatedWithPreviousEntity);
export { Domain, TimeUnit, Operator, Type, Status, Origin, WebhookIdentityType, RequestedFields, SortOrder, State, SiteCreatedContext, Namespace, DeleteStatus, TriggerValidationErrorValidationErrorType, TriggerErrorType, ValidationErrorSeverity, ValidationErrorType, ActionErrorType, AutomationValidationErrorValidationErrorType, AutomationErrorType, } from './automations-v2-automation-automations-service-v-2.universal.js';
//# sourceMappingURL=automations-v2-automation-automations-service-v-2.context.js.map