"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.ValidationErrorType = exports.ValidationErrorSeverity = exports.Type = exports.TriggerValidationErrorValidationErrorType = exports.TriggerErrorType = exports.TimeUnit = exports.Status = exports.State = exports.SortOrder = exports.SiteCreatedContext = exports.RequestedFields = exports.Origin = exports.Operator = exports.Namespace = exports.Domain = exports.DeleteStatus = exports.AutomationValidationErrorValidationErrorType = exports.AutomationErrorType = exports.ActionErrorType = exports.onAutomationUpdatedWithPreviousEntity = exports.onAutomationUpdated = exports.onAutomationDeletedWithEntity = exports.onAutomationDeleted = exports.onAutomationCreated = exports.getAutomationRevision = exports.getActionsQuotaInfo = exports.getAutomationActionSchema = exports.validateAutomationById = exports.validateAutomation = exports.publishDraftAutomation = exports.deleteDraftAutomation = exports.queryAutomationsWithDrafts = exports.updateDraftAutomation = exports.getOrCreateDraftAutomation = exports.createDraftAutomation = exports.copyAutomation = exports.queryAutomations = exports.queryPreinstalledAutomationsForApp = exports.deletePreinstalledAutomation = exports.updatePreinstalledAutomation = exports.createPreinstalledAutomation = exports.bulkDeleteAutomations = exports.deleteAutomation = exports.updateAutomation = exports.getAutomation = exports.createAutomation = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const automations_v2_automation_automations_service_v_2_universal_js_1 = require("./automations-v2-automation-automations-service-v-2.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/automations' };
function createAutomation(httpClient) {
    return (automation, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.createAutomation)(automation, options, 
    // @ts-ignore
    { httpClient });
}
exports.createAutomation = createAutomation;
function getAutomation(httpClient) {
    return (automationId, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.getAutomation)(automationId, options, 
    // @ts-ignore
    { httpClient });
}
exports.getAutomation = getAutomation;
function updateAutomation(httpClient) {
    return (_id, automation, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.updateAutomation)(_id, automation, options, 
    // @ts-ignore
    { httpClient });
}
exports.updateAutomation = updateAutomation;
function deleteAutomation(httpClient) {
    return (automationId) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.deleteAutomation)(automationId, 
    // @ts-ignore
    { httpClient });
}
exports.deleteAutomation = deleteAutomation;
function bulkDeleteAutomations(httpClient) {
    return (automationIds) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.bulkDeleteAutomations)(automationIds, 
    // @ts-ignore
    { httpClient });
}
exports.bulkDeleteAutomations = bulkDeleteAutomations;
function createPreinstalledAutomation(httpClient) {
    return (automation, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.createPreinstalledAutomation)(automation, options, 
    // @ts-ignore
    { httpClient });
}
exports.createPreinstalledAutomation = createPreinstalledAutomation;
function updatePreinstalledAutomation(httpClient) {
    return (automation, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.updatePreinstalledAutomation)(automation, options, 
    // @ts-ignore
    { httpClient });
}
exports.updatePreinstalledAutomation = updatePreinstalledAutomation;
function deletePreinstalledAutomation(httpClient) {
    return (componentId, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.deletePreinstalledAutomation)(componentId, options, 
    // @ts-ignore
    { httpClient });
}
exports.deletePreinstalledAutomation = deletePreinstalledAutomation;
function queryPreinstalledAutomationsForApp(httpClient) {
    return (options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.queryPreinstalledAutomationsForApp)(options, 
    // @ts-ignore
    { httpClient });
}
exports.queryPreinstalledAutomationsForApp = queryPreinstalledAutomationsForApp;
function queryAutomations(httpClient) {
    return (options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.queryAutomations)(options, 
    // @ts-ignore
    { httpClient });
}
exports.queryAutomations = queryAutomations;
function copyAutomation(httpClient) {
    return (automationId, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.copyAutomation)(automationId, options, 
    // @ts-ignore
    { httpClient });
}
exports.copyAutomation = copyAutomation;
function createDraftAutomation(httpClient) {
    return (options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.createDraftAutomation)(options, 
    // @ts-ignore
    { httpClient });
}
exports.createDraftAutomation = createDraftAutomation;
function getOrCreateDraftAutomation(httpClient) {
    return (originalAutomationId, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.getOrCreateDraftAutomation)(originalAutomationId, options, 
    // @ts-ignore
    { httpClient });
}
exports.getOrCreateDraftAutomation = getOrCreateDraftAutomation;
function updateDraftAutomation(httpClient) {
    return (_id, automation, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.updateDraftAutomation)(_id, automation, options, 
    // @ts-ignore
    { httpClient });
}
exports.updateDraftAutomation = updateDraftAutomation;
function queryAutomationsWithDrafts(httpClient) {
    return (options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.queryAutomationsWithDrafts)(options, 
    // @ts-ignore
    { httpClient });
}
exports.queryAutomationsWithDrafts = queryAutomationsWithDrafts;
function deleteDraftAutomation(httpClient) {
    return (automationId) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.deleteDraftAutomation)(automationId, 
    // @ts-ignore
    { httpClient });
}
exports.deleteDraftAutomation = deleteDraftAutomation;
function publishDraftAutomation(httpClient) {
    return (automationId, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.publishDraftAutomation)(automationId, options, 
    // @ts-ignore
    { httpClient });
}
exports.publishDraftAutomation = publishDraftAutomation;
function validateAutomation(httpClient) {
    return (automation, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.validateAutomation)(automation, options, 
    // @ts-ignore
    { httpClient });
}
exports.validateAutomation = validateAutomation;
function validateAutomationById(httpClient) {
    return (automationId, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.validateAutomationById)(automationId, options, 
    // @ts-ignore
    { httpClient });
}
exports.validateAutomationById = validateAutomationById;
function getAutomationActionSchema(httpClient) {
    return (identifiers) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.getAutomationActionSchema)(identifiers, 
    // @ts-ignore
    { httpClient });
}
exports.getAutomationActionSchema = getAutomationActionSchema;
function getActionsQuotaInfo(httpClient) {
    return () => (0, automations_v2_automation_automations_service_v_2_universal_js_1.getActionsQuotaInfo)(
    // @ts-ignore
    { httpClient });
}
exports.getActionsQuotaInfo = getActionsQuotaInfo;
/** @internal */
function getAutomationRevision(httpClient) {
    return (automationId, options) => (0, automations_v2_automation_automations_service_v_2_universal_js_1.getAutomationRevision)(automationId, options, 
    // @ts-ignore
    { httpClient });
}
exports.getAutomationRevision = getAutomationRevision;
exports.onAutomationCreated = (0, sdk_types_1.EventDefinition)('wix.automations.v2.automation_created', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'entity.draftUpdatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onAutomationDeleted = (0, sdk_types_1.EventDefinition)('wix.automations.v2.automation_deleted', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'entity.draftUpdatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onAutomationDeletedWithEntity = (0, sdk_types_1.EventDefinition)('wix.automations.v2.automation_deleted_with_entity', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.automation.createdDate' },
            { path: 'data.automation.updatedDate' },
            { path: 'data.automation.draftUpdatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onAutomationUpdated = (0, sdk_types_1.EventDefinition)('wix.automations.v2.automation_updated', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'entity.draftUpdatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onAutomationUpdatedWithPreviousEntity = (0, sdk_types_1.EventDefinition)('wix.automations.v2.automation_updated_with_previous_entity', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.previousAutomation.createdDate' },
            { path: 'data.previousAutomation.updatedDate' },
            { path: 'data.previousAutomation.draftUpdatedDate' },
            { path: 'data.currentAutomation.createdDate' },
            { path: 'data.currentAutomation.updatedDate' },
            { path: 'data.currentAutomation.draftUpdatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
var automations_v2_automation_automations_service_v_2_universal_js_2 = require("./automations-v2-automation-automations-service-v-2.universal.js");
Object.defineProperty(exports, "ActionErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.ActionErrorType; } });
Object.defineProperty(exports, "AutomationErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.AutomationErrorType; } });
Object.defineProperty(exports, "AutomationValidationErrorValidationErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.AutomationValidationErrorValidationErrorType; } });
Object.defineProperty(exports, "DeleteStatus", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.DeleteStatus; } });
Object.defineProperty(exports, "Domain", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.Domain; } });
Object.defineProperty(exports, "Namespace", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.Namespace; } });
Object.defineProperty(exports, "Operator", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.Operator; } });
Object.defineProperty(exports, "Origin", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.Origin; } });
Object.defineProperty(exports, "RequestedFields", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.RequestedFields; } });
Object.defineProperty(exports, "SiteCreatedContext", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.SiteCreatedContext; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "State", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.State; } });
Object.defineProperty(exports, "Status", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.Status; } });
Object.defineProperty(exports, "TimeUnit", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.TimeUnit; } });
Object.defineProperty(exports, "TriggerErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.TriggerErrorType; } });
Object.defineProperty(exports, "TriggerValidationErrorValidationErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.TriggerValidationErrorValidationErrorType; } });
Object.defineProperty(exports, "Type", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.Type; } });
Object.defineProperty(exports, "ValidationErrorSeverity", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.ValidationErrorSeverity; } });
Object.defineProperty(exports, "ValidationErrorType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.ValidationErrorType; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return automations_v2_automation_automations_service_v_2_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=automations-v2-automation-automations-service-v-2.public.js.map